Module | Sequel::Model::Associations::InstanceMethods
In: | lib/sequel/model/associations.rb

Instance methods used to implement the associations support.

### Methods

associations pk_or_nil

### Public Instance methods

associations()

The currently cached associations. A hash with the keys being the association name symbols and the values being the associated object or nil (many_to_one), or the array of associated objects (*_to_many).

[Source]

          # File lib/sequel/model/associations.rb, line 1375
    1375:         def associations
    1376:           @associations ||= {}
    1377:         end

pk_or_nil()

Formally used internally by the associations code, like pk but doesn‘t raise an Error if the model has no primary key. Not used any longer, deprecated.

[Source]

          # File lib/sequel/model/associations.rb, line 1381
    1381:         def pk_or_nil
    1382:           key = primary_key
    1383:           key.is_a?(Array) ? key.map{|k| @values[k]} : @values[key]
    1384:         end

[Validate]